Summary: The Debian Almquist Shell
Name: dash
Version: 0.5.2
Release: 2tr
License: GPL
Group: Trustix Official
Source: http://archive.ubuntu.com/ubuntu/pool/main/d/dash/dash_%{version}.orig.tar.gz
Patch: dash_0.5.1-mktemp.patch
Prereq: coreutils grep
Buildroot: %{_tmppath}/%{name}-root

%description
"dash" is a POSIX compliant shell that is much smaller than "bash". We take
advantage of that by making it the shell on the initramdisk of the kernels.

It is also useful for checking that a script uses only POSIX syntax.

"bash" is a better shell for most users, since it has some nice features absent
from "dash", and is a required part of the system. 

%prep
%setup -q
%patch0 -p1

%build
%configure
make C_FLAGS="$RPM_OPT_FLAGS" 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install
mkdir $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%{_bindir}/dash $RPM_BUILD_ROOT/bin/dash
strip $RPM_BUILD_ROOT/bin/dash

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/dash" > /etc/shells
else
	if ! grep '^/bin/dash$' /etc/shells > /dev/null; then
		echo "/bin/dash" >> /etc/shells
	fi
fi

%postun

if [ "$1" = 0 ]; then
	grep -v '^/bin/dash' < /etc/shells > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/bin/dash
%{_mandir}/man1/dash.1*

%changelog
* Tue Apr 19 2005 Raghu <raghu at comodo dot com> 0.5.2-1tr
- New Upstream

* Wed Mar 16 2005 Chr. Toldnes <christht at trustix dot org> 0.5.1-2tr
- Moved dash to /bin

* Wed Mar 16 2005 Chr. Toldnes <christht at trustix dot org> 0.5.1-1tr
- Initial release
